/*	jmore.h
 */

#define	WIDTH	640	/* high resolution width */
#define	HEIGHT	400	/* interlace screen height */
#define	DEPTH	4	/* 16 colors available */

struct	NewScreen	ScrnDefn = {
	0, 0,	/* top-left corner position */
	WIDTH, HEIGHT, DEPTH,	/* screen size & number of planes */
	-1, -1,	/* default DetailPen & BlockPen */
	HIRES | LACE,	/* display screen mode */
	CUSTOMSCREEN,	/* screen type (now, set my own screen !) */
	(struct TextAttr *)NULL,	/* no special font */
	(UBYTE *)"=== JMORE ===",	/* title */
	(struct Gadgets *)NULL,	/* no special Gadgets */
	(struct BitMap *)NULL,	/* no CustomBitMap */
	};

struct	NewWindow	WindDefn = {
	0, 0,	/* top-left corner of the window */
	WIDTH, HEIGHT,	/* screen size */
	-1, -1,	/* default DetailPen & BlockPen */
	RAWKEY | MOUSEBUTTONS,	/* IDCMPflags */
	SMART_REFRESH | BORDERLESS | BACKDROP | ACTIVATE,	/* set window's flags */
	(struct Gadgets *)NULL,	/* no gadget */
	(struct Image *)NULL,	/* no check marks */
	(UBYTE *)NULL,	/* this window has no title */
	(struct Screen *)NULL, /* now, no screen. but attach later ! */
	(struct BitMap *)NULL,	/* no BitMap */
	0, 0,	/* minimum window size */
	-1, -1,	/* maximum window size (set default) */
	CUSTOMSCREEN,	/* screen type (set my own screen) */
	};

#define	STARTUP	"s:jmore-startup"
#define	COMMENT_MARK	';'

enum	STUP {
	REGULAR, TAB_WIDTH,
	TOTAL_STARTUP,
	};

char	*startup[TOTAL_STARTUP] = {
	"REGULAR",
	"TAB",
	};

#define	TABSPC	8
#define	KNJ_ILGL	0x80

#define	LF	'\n'
#define	CR	'\r'
#define	TAB	'\t'
#define	CPMEOF	0x1a
#define	FILEEND	CPMEOF
#define	NUL	'\0'
#define	SPC	' '

#define	BUFFSIZE	16384
#define	STRBUFSIZE	80
#define	TOTAL_LINES	(HEIGHT/FONT_SIZE - 1)

#define	COPYRIGHT	"Ver.0.03 Copyright (c) H.Ohkubo 1992"
#define	END_MESSAGE	""
#define	ERROR_MESSAGE	"usage: jmore input_file_name"

#define	MORE_MES	" --- MORE (%s) --- "
#define	FILE_END_MES	" --- [EOF] (%s) --- "

/* RAWKEY code */
#define	QUIT_PRG	0x10	/* 'Q' key */
#define	LINE_SCROLL	0x44	/* CR key */
#define	BACK_LINE	0x19	/* 'P' key */
#define	PAGE_SCROLL	0x40	/* Space bar */
#define	BACK_SCROLL	0x41	/* BS key */

#define	QUIT	(-1)
#define	NORMAL	0

#define	JMOREPORT	"jmore.port"
